FromPathExpressionParser (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.classic
Class FromPathExpressionParser

    java.lang.Object
      org.hibernate.hql.internal.classic.PathExpressionParser
          org.hibernate.hql.internal.classic.FromPathExpressionParser

All Implemented Interfaces:
  Parser

    public class FromPathExpressionParser

extends PathExpressionParser

Constructor Summary
`FromPathExpressionParser()`

Method Summary
`void` | `end(QueryTranslatorImpl q)`
`protected void` | `setExpectingCollectionIndex()`

Methods inherited from class org.hibernate.hql.internal.classic.PathExpressionParser
`addAssociation, addFromAssociation, addFromCollection, currentColumns, fetch, getCollectionSubquery, getName, getPropertyType, getWhereColumn, getWhereColumns, getWhereColumnType, getWhereJoin, ignoreInitialJoin, isCollectionValued, isExpectingCollectionIndex, lastCollectionElement, setLastCollectionElementIndexValue, start, token`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromPathExpressionParser

    public FromPathExpressionParser()

Method Detail

### end

    public void end(QueryTranslatorImpl q)
             throws QueryException

  Specified by:
    `end` in interface `Parser`
  Overrides:
    `end` in class `PathExpressionParser`
  Throws:
    `QueryException`

### setExpectingCollectionIndex

    protected void setExpectingCollectionIndex()
                                        throws QueryException

  Overrides:
    `setExpectingCollectionIndex` in class `PathExpressionParser`
  Throws:
    `QueryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.